package com.finstone.gjj.dqd.protocol.wljk.dsjcx;

import com.fins.modules.web.mvc.support.ResponseEntity;
import com.finstone.app.common.util.XmlUtil;
import com.finstone.gjj.dqd.client.JsdxHTTPClient;
import com.finstone.gjj.dqd.dao.TaskDao;
import com.finstone.gjj.dqd.protocol.wljk.dsjcx.WljkFhbwUtil;
import com.finstone.gjj.dqd.support.util.JSONUtilsEx;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Set;
import java.util.Map.Entry;
import net.sf.json.JSONArray;
import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.http.Header;
import org.json.JSONException;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DsjcxService {

   @Autowired
   private TaskDao taskDao;
   protected Log logger = LogFactory.getLog(this.getClass());


   public ResponseEntity dsjxxcx(Map inmap) {
      ResponseEntity resentity = new ResponseEntity();
      String outData = "";
      String jkurl = "";
      JSONObject reqjsonreq = new JSONObject();
      new LinkedHashMap();

      try {
         String e = inmap.get("inxml").toString();
         this.logger.info("外联查询接口发送报文>>>>>>>>>>>>>" + e);
         Map pzmap = (Map)JSONUtilsEx.deserialize(inmap.get("fwparams").toString(), Map.class);
         Map fsparamsMap = (Map)pzmap.get("params");
         LinkedHashMap zzparamsMap = new LinkedHashMap();
         if(fsparamsMap != null) {
            Set url = fsparamsMap.keySet();
            Iterator transcode = url.iterator();

            while(transcode.hasNext()) {
               String otherResult = String.valueOf(transcode.next());
               if(fsparamsMap.get(otherResult) instanceof ArrayList && !"order".equals(otherResult)) {
                  Map e2 = (Map)((ArrayList)fsparamsMap.get(otherResult)).get(0);
                  String paramsxml = (String)e2.get("xml");
                  if(e2.containsKey("json")) {
                     paramsxml = net.sf.json.JSONObject.fromObject(e2.get("json")).toString();
                  }

                  Iterator var16 = e2.entrySet().iterator();

                  while(var16.hasNext()) {
                     Entry m = (Entry)var16.next();
                     String value;
                     if("array".equals(m.getKey())) {
                        value = "<list>" + StringUtils.substringBetween(e, "<list>", "</list>") + "</list>";
                        Map listMap = XmlUtil.xml2map(value, false);
                        JSONArray arrayArr = JSONArray.fromObject(listMap.get("array"));
                        paramsxml = arrayArr.toString();
                     } else if(!"xml".equals(m.getKey()) && !"json".equals(m.getKey())) {
                        value = StringUtils.substringBetween(e, "<" + (String)m.getKey() + ">", "</" + (String)m.getKey() + ">");
                        paramsxml = paramsxml.replace((CharSequence)m.getValue(), value);
                     }
                  }

                  zzparamsMap.put(otherResult, paramsxml);
               } else {
                  String e1 = StringUtils.substringBetween(e, "<" + otherResult + ">", "</" + otherResult + ">");
                  if(e1 != null) {
                     zzparamsMap.put(otherResult, e1);
                  } else {
                     zzparamsMap.put(otherResult, fsparamsMap.get(otherResult));
                  }
               }
            }
         }

         String url1 = pzmap.get("url").toString();
         String transcode1 = StringUtils.substringBetween(e, "<transcode>", "</transcode>");
         if(transcode1 != null && transcode1.length() == 9) {
            transcode1 = transcode1.substring(3);
         }

         HashMap otherResult1 = new HashMap();
         otherResult1.put("fszzbw", zzparamsMap);
         jkurl = inmap.get("fwurl").toString();
         System.out.println(jkurl + "------" + zzparamsMap + "-----");

         try {
            reqjsonreq.put("httpurl", url1);
            reqjsonreq.put("transcode", transcode1);
            reqjsonreq.put("params", zzparamsMap);
         } catch (Exception var20) {
            var20.printStackTrace();
         }

         outData = JsdxHTTPClient.post(jkurl, reqjsonreq.toString(), "utf-8", new Header[0]);
         this.logger.info("外联查询接口响应报文>>>>>>>>>>>>>" + outData);
         resentity = WljkFhbwUtil.fhbwcl(outData, otherResult1);
      } catch (JSONException var21) {
         resentity.setCode(-1);
         resentity.setMsg("返回数据异常>>>" + outData);
         this.logger.info("外联查询接口响应异常>>>>>>>>>>>>>" + var21.getMessage());
      } catch (Exception var22) {
         resentity.setCode(-1);
         resentity.setMsg(var22.getMessage());
         this.logger.info("外联查询接口响应异常>>>>>>>>>>>>>" + var22.getMessage());
      }

      return resentity;
   }

   public static void main(String[] args) {
   }
}
